set Wamp 2
for {set fNum 1} {$fNum <= $nStory} {incr fNum 1} {
	set coreGravity($fNum) [expr $m($fNum)*(-1)*$g/8*$Wamp]
	set perGravity($fNum) [expr $m($fNum)*(-1)*$g/16*$Wamp]
}

pattern	Plain	1	Linear	{			
#	load	RX	RY	RZ	MX	MY	MZ	
	for {set fNum 1} {$fNum <= $nStory} {incr fNum 1} {
		if {$fNum <= 50} {
			load	[expr 1+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0; 	 
			load	[expr 2+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0;
			load	[expr 3+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0;
			load	[expr 4+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0;
			load	[expr 5+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 6+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 7+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 8+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 9+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 10+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 11+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
			load	[expr 12+$fNum*100]	0	0 $perGravity($fNum)	0 0 0; 
		}
		if {$fNum > 50} {
			load	[expr 1+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0; 	 
			load	[expr 2+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0;
			load	[expr 3+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0;
			load	[expr 4+$fNum*100]	0	0 $coreGravity($fNum)	0 0 0;
		}
	}
}			
				
recorder Node -file disp_grav.out -time -node 107 207 -dof 3 disp 
initialize;
set GravSteps 10;
system UmfPack; 
constraints Transformation; 
test NormDispIncr 1.0e-5	100	1;
algorithm Newton;
numberer RCM; 
integrator LoadControl [expr 1./$GravSteps] 1 [expr 1./$GravSteps] [expr 1./$GravSteps]; 
analysis Static;
analyze $GravSteps; # run gravity analysis
loadConst -time 0.0; # keep gravity load and restart time -- lead to lateral-load analysis

puts "Finished Gravity Analysis..."
														
							
							
							
							
							
							
							
							
							
	
	
	
	
