proc procReadSMDFile {inFilename GM dt Nsteps} { 
# Pass dt by reference 
puts $inFilename
upvar $dt DT 
upvar $Nsteps NS
#Open the input file and catch the error if it can't be read 
if [catch {open $inFilename r} inFileID] { 
	puts stderr "Cannot open $inFilename for reading" 
}
set outFileID [open ..//GMs/M_$GM.tcl w]
set flag 0 
set cnt 0
set cnt1 0
foreach line [split [read $inFileID] \n] { 
set cnt1 [expr $cnt1+1]
	if {$cnt1 < 10} {
		# Search header lines for dt 
		foreach word [split $line] { 
			#puts $word
			if {$flag == 1} {
				set cnt [expr  $cnt+1]
				if {$cnt == 2} {
					set DT $word 
					#puts $word
				} elseif   {$cnt == 11} {
					set NS $word
				      break
				}
			} 
		# Find the desired token and set the flag 
			if {[string match $word "dt"] == 1} { 
				set flag 1 
			} 
		}
	} else {
		puts $outFileID $line
	}
}
close $inFileID
close $outFileID
}