clear; clc; close all;

h = 8.50;
W=11472; % TOTAL WEIGHT OF STRUCTURE
g = 9.81;
m = 2;
 
shBase = load ('Pushover_1/MemberForces.out'); 
shear = 0;
for i = 1:12;
    cnt = 1+(i-1)*12;
    shear = shBase(:,cnt)+shear;
end
       
disp = load ('Pushover_1/NodalDisp_2.out');
disp = disp(:,1);
    
k = shear(1)/disp(1); wsqr = k/m;
T = 2*pi/wsqr^.5
    
k = shear(12)/disp(12); wsqr = k/m;
T = 2*pi/wsqr^.5
    
output = [disp abs(shear)];

plot(disp,shear,'-or');
hold;

SAP = load('sap.txt')
plot(SAP(:,2),SAP(:,3),'bo');

pushover = [disp/h abs(shear)/W]';
fid = fopen ('pushover.txt','w'); % 
fprintf (fid,'%6.4f %6.4f \n',pushover);
fclose(fid);

