# Unit = inch
set inch [expr 100/2.54];

# Plan dimension of floors

set bx [expr 45.05*$inch];
set by [expr 45.06*$inch];

set bxTop [expr 21.23*$inch];
set byTop [expr 17.37*$inch];

# Y Matrix
set y1 [expr 21.23/2]
set y2 [expr -$y1]
set y3 [expr (12.12+$y1)]
set y4 [expr (-11.71+$y2)]

set y1 [expr $y1*$inch]
set y2 [expr $y2*$inch]
set y3 [expr $y3*$inch]
set y4 [expr $y4*$inch]

#puts "Y: $y1 $y2 $y3 $y4"

# X Matrix
set x1 [expr 17.37/2]
set x2 [expr -$x1]
set x3 [expr (13.84+$x1)]
set x4 [expr -$x3]

set x1 [expr $x1*$inch];
set x2 [expr $x2*$inch];
set x3 [expr $x3*$inch];
set x4 [expr $x4*$inch];

#puts "X: $x1 $x2 $x3 $x4"

# Height Matrix
set h(1)	 4.7
set h(2)	10.8 
set h(3)	15.1 
set h(4)	19.7 
set h(5)	24.2 
set h(6)	28.1 
set h(7)	32.1 
set h(8)	36.1 
set h(9)	40.1 
set h(10)	44.1 
set h(11)	48.1 
set h(12)	52.1 
set h(13)	56.0   
set h(14)	59.9 
set h(15)	63.9 
set h(16)	67.9 
set h(17)	71.9 
set h(18)	75.8 
set h(19)	79.7 
set h(20)	83.7 
set h(21)	87.7 
set h(22)	91.7 
set h(23)	95.7 
set h(24)	99.7 
set h(25)	103.6
set h(26)	107.6
set h(27)	111.6
set h(28)	115.5
set h(29)	119.4
set h(30)	123.4
set h(31)	127.4
set h(32)	131.4
set h(33)	135.3
set h(34)	139.2
set h(35)	143.2
set h(36)	147.2
set h(37)	151.2
set h(38)	155.1
set h(39)	159.0  
set h(40)	163.0  
set h(41)	167.0  
set h(42)	171.0  
set h(43)	174.9
set h(44)	178.9
set h(45)	182.9
set h(46)	186.9
set h(47)	190.8
set h(48)	194.8
set h(49)	198.7
set h(50)	206.7
set h(51)	211.7
set h(52)	217.7
set h(53)	222.7

for {set fNum 1} {$fNum <= $nStory} {incr fNum 1} {
	set h($fNum) [expr $h($fNum)*$inch]; # Convert from m to inch
}
puts "Building height = $h(53)"